## org.apache.mahout.math.jet.random
Class Uniform

    java.lang.Object
      org.apache.mahout.math.function.DoubleFunction
          org.apache.mahout.math.jet.random.AbstractDistribution
              org.apache.mahout.math.jet.random.AbstractContinousDistribution
                  org.apache.mahout.math.jet.random.Uniform

All Implemented Interfaces:
  IntFunction

    public class Uniform

extends AbstractContinousDistribution

Constructor Summary
`Uniform(double min, double max, int seed)` Constructs a uniform distribution with the given minimum and maximum, using a `MersenneTwister` seeded with the given seed.
`Uniform(double min, double max, Random randomGenerator)` Constructs a uniform distribution with the given minimum and maximum.
`Uniform(Random randomGenerator)` Constructs a uniform distribution with `min=0.0` and `max=1.0`.

Method Summary
`double` `cdf(double x)` Returns the cumulative distribution function (assuming a continous uniform distribution).
`boolean` `nextBoolean()` Returns a uniformly distributed random `boolean`.
`double` `nextDouble()` Returns a uniformly distributed random number in the open interval `(min,max)` (excluding `min` and `max`).
`double` `nextDoubleFromTo(double from, double to)` Returns a uniformly distributed random number in the open interval `(from,to)` (excluding `from` and `to`).
`float` `nextFloatFromTo(float from, float to)` Returns a uniformly distributed random number in the open interval `(from,to)` (excluding `from` and `to`).
`int` `nextIntFromTo(int from, int to)` Returns a uniformly distributed random number in the closed interval `[from,to]` (including `from` and `to`).
`long` `nextLongFromTo(long from, long to)` Returns a uniformly distributed random number in the closed interval `[from,to]` (including `from` and `to`).
`double` `pdf(double x)` Returns the probability distribution function (assuming a continous uniform distribution).
`void` `setState(double min, double max)` Sets the internal state.
`String` `toString()` Returns a String representation of the receiver.

Methods inherited from class org.apache.mahout.math.jet.random.AbstractContinousDistribution
`nextInt`

Methods inherited from class org.apache.mahout.math.jet.random.AbstractDistribution
`apply, apply, getRandomGenerator, randomDouble, setRandomGenerator`

Methods inherited from class org.apache.mahout.math.function.DoubleFunction
`isDensifying`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Uniform

    public Uniform(double min,
                   double max,
                   int seed)

  Constructs a uniform distribution with the given minimum and maximum, using a `MersenneTwister` seeded with the given seed.

### Uniform

    public Uniform(double min,
                   double max,
                   Random randomGenerator)

  Constructs a uniform distribution with the given minimum and maximum.

### Uniform

    public Uniform(Random randomGenerator)

  Constructs a uniform distribution with `min=0.0` and `max=1.0`.

Method Detail

### cdf

    public double cdf(double x)

  Returns the cumulative distribution function (assuming a continous uniform distribution).

  Overrides:
    `cdf` in class `AbstractContinousDistribution`

### nextBoolean

    public boolean nextBoolean()

  Returns a uniformly distributed random `boolean`.

### nextDouble

    public double nextDouble()

  Returns a uniformly distributed random number in the open interval `(min,max)` (excluding `min` and `max`).

  Specified by:
    `nextDouble` in class `AbstractDistribution`
  Returns:
    A new sample from this distribution.

### nextDoubleFromTo

    public double nextDoubleFromTo(double from,
                                   double to)

  Returns a uniformly distributed random number in the open interval `(from,to)` (excluding `from` and `to`). Pre conditions: `from <= to`.

### nextFloatFromTo

    public float nextFloatFromTo(float from,
                                 float to)

  Returns a uniformly distributed random number in the open interval `(from,to)` (excluding `from` and `to`). Pre conditions: `from <= to`.

### nextIntFromTo

    public int nextIntFromTo(int from,
                             int to)

  Returns a uniformly distributed random number in the closed interval `[from,to]` (including `from` and `to`). Pre conditions: `from <= to`.

### nextLongFromTo

    public long nextLongFromTo(long from,
                               long to)

  Returns a uniformly distributed random number in the closed interval `[from,to]` (including `from` and `to`). Pre conditions: `from <= to`.

### pdf

    public double pdf(double x)

  Returns the probability distribution function (assuming a continous uniform distribution).

  Overrides:
    `pdf` in class `AbstractContinousDistribution`

### setState

    public void setState(double min,
                         double max)

  Sets the internal state.

### toString

    public String toString()

  Returns a String representation of the receiver.

  Overrides:
    `toString` in class `Object`

Copyright © 2008–2014 The Apache Software Foundation. All rights reserved.